Page MenuHomePhabricator

Signpost is not readable on mobile devices
Closed, ResolvedPublic

Description

Right now, the Signpost is difficult to read on mobile devices. I'd like to investigate how the HTML can he modified to be responsive.

Related Objects

StatusAssignedTask
ResolvedTheDJ
ResolvedTgr
ResolvedAnomie
Resolvedtstarling
Resolvedcoren
ResolvedAnomie
StalledMhurd
ResolvedAnomie
ResolvedEsanders
ResolvedEsanders
Resolvedssastry
ResolvedAnomie
ResolvedCKoerner_WMF
Resolvedjhsoby
ResolvedTgr
DeclinedTgr
Resolvedcoren
ResolvedAnomie
ResolvedTgr
OpenNone
Resolvedssastry
ResolvedTgr
ResolvedTgr
ResolvedTgr
ResolvedDeskana
ResolvedCKoerner_WMF
ResolvedWhatamidoing-WMF
ResolvedTgr
ResolvedTgr
ResolvedTgr
ResolvedUrbanecm
ResolvedTgr
ResolvedTacsipacsi
ResolvedTgr
ResolvedCKoerner_WMF

Event Timeline

Tnegrin created this task.Feb 25 2016, 4:09 PM
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptFeb 25 2016, 4:09 PM

Some background: https://en.wikipedia.org/w/index.php?title=Wikipedia_talk:Wikipedia_Signpost&oldid=706707892#Mobile_view_not_great
https://www.mediawiki.org/wiki/Signpost_Mobile_App
https://play.google.com/store/apps/details?id=in.yuvi.signpost

Copying over a quote from Wikipedia Weekly: mobile viewing been a problem since I was the editor of the Signpost. Without a tech person to design for that, and with 90%+ of the readers coming from the desktop site already anyway, it was hard to justify sinking so much time into addressing the problem. The planned alternative was a mobile app that a staffer kindly built on their own time in 2012, but it broke in 2013 and was not fixed.

Krenair renamed this task from Modify signpost to be readable on mobile devices to Modify pages to be readable on mobile devices.Feb 25 2016, 4:35 PM
Krenair added a subscriber: Krenair.

Please add some projects to this task. I doubt signpost changes are in scope for phabricator really.

Tgr added a subscriber: Tgr.

See also the Signpost app which used to be quite nice.

It turns out that per @Moushira, Village pumps also don't render well on mobile.

Jdlrobson changed the task status from Open to Stalled.May 25 2016, 4:45 PM
Jdlrobson added a subscriber: Jdlrobson.

Blocked on RFC

Jdlrobson renamed this task from Modify pages to be readable on mobile devices to Signpost is not readable on mobile devices.Jul 19 2017, 1:17 AM
Jdlrobson moved this task from Needs triage to Triaged on the Mobile board.Jul 25 2017, 5:48 PM
TheDJ added a subscriber: TheDJ.EditedJul 25 2017, 6:51 PM

I've since mostly fixed this without templatestyles btw. It relies on several techniques, like columns, flexbox enhancements and viewport relative dimensions..

Some examples:
https://en.m.wikipedia.org/wiki/Wikipedia:Wikipedia_Signpost
https://en.m.wikipedia.org/wiki/Wikipedia:Wikipedia_Signpost/2017-07-15/News_and_notes

There's still some on and off problems though, because the structure is VERY critical now, and editors of articles tend to easily break it.

Dzahn removed a subscriber: Dzahn.Jul 26 2017, 2:58 PM
Pcoombe removed a subscriber: Pcoombe.Oct 20 2017, 10:28 AM
Miguu added a subscriber: Miguu.Mar 30 2018, 5:42 AM
TheDJ closed this task as Resolved.Apr 24 2018, 12:04 PM
TheDJ claimed this task.

calling this resolved.